/**
 * XDocumentEncounterMood.java
 *
 * File generated from the medication::XDocumentEncounterMood uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDocumentEncounterMood.
 *
 * 
 */

@XmlType(name = "XDocumentEncounterMood")
@XmlEnum
@XmlRootElement(name = "XDocumentEncounterMood")
public enum XDocumentEncounterMood {
	@XmlEnumValue("INT")
	INT("INT"),
	@XmlEnumValue("APT")
	APT("APT"),
	@XmlEnumValue("ARQ")
	ARQ("ARQ"),
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XDocumentEncounterMood(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XDocumentEncounterMood fromValue(String v) {
        for (XDocumentEncounterMood c: XDocumentEncounterMood.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}